// SPDX-FileCopyrightText: 2018 - 2022 UnionTech Software Technology Co., Ltd.
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef DSSTESTWIDGET_H
#define DSSTESTWIDGET_H

#include <DFloatingButton>

#include <QWidget>

namespace dss {
  namespace module {
    class NetworkPlugin;
  }
}

class QPushButton;
class FloatingButton;
using namespace Dtk::Widget;

class DssTestWidget : public QWidget
{
    Q_OBJECT

public:
    DssTestWidget(QWidget *parent = Q_NULLPTR);
    ~DssTestWidget();

protected slots:
    void onClickButton();

private:
    dss::module::NetworkPlugin *m_pModule;
    FloatingButton *m_iconButton;
};

class FloatingButton : public DFloatingButton
{
    Q_OBJECT

public:
    FloatingButton(QWidget *parent = nullptr);
};

#endif // DSSTESTWIDGET_H
